#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private RRLines[] cacheRRLines;

		
		public RRLines RRLines(double accountBalance, double riskPercent, Brush lineColor, int lineWidth, DashStyleHelper lineStyle, string fontFamily, int fontSize, int initialDistance)
		{
			return RRLines(Input, accountBalance, riskPercent, lineColor, lineWidth, lineStyle, fontFamily, fontSize, initialDistance);
		}


		
		public RRLines RRLines(ISeries<double> input, double accountBalance, double riskPercent, Brush lineColor, int lineWidth, DashStyleHelper lineStyle, string fontFamily, int fontSize, int initialDistance)
		{
			if (cacheRRLines != null)
				for (int idx = 0; idx < cacheRRLines.Length; idx++)
					if (cacheRRLines[idx].AccountBalance == accountBalance && cacheRRLines[idx].RiskPercent == riskPercent && cacheRRLines[idx].LineColor == lineColor && cacheRRLines[idx].LineWidth == lineWidth && cacheRRLines[idx].LineStyle == lineStyle && cacheRRLines[idx].FontFamily == fontFamily && cacheRRLines[idx].FontSize == fontSize && cacheRRLines[idx].InitialDistance == initialDistance && cacheRRLines[idx].EqualsInput(input))
						return cacheRRLines[idx];
			return CacheIndicator<RRLines>(new RRLines(){ AccountBalance = accountBalance, RiskPercent = riskPercent, LineColor = lineColor, LineWidth = lineWidth, LineStyle = lineStyle, FontFamily = fontFamily, FontSize = fontSize, InitialDistance = initialDistance }, input, ref cacheRRLines);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.RRLines RRLines(double accountBalance, double riskPercent, Brush lineColor, int lineWidth, DashStyleHelper lineStyle, string fontFamily, int fontSize, int initialDistance)
		{
			return indicator.RRLines(Input, accountBalance, riskPercent, lineColor, lineWidth, lineStyle, fontFamily, fontSize, initialDistance);
		}


		
		public Indicators.RRLines RRLines(ISeries<double> input , double accountBalance, double riskPercent, Brush lineColor, int lineWidth, DashStyleHelper lineStyle, string fontFamily, int fontSize, int initialDistance)
		{
			return indicator.RRLines(input, accountBalance, riskPercent, lineColor, lineWidth, lineStyle, fontFamily, fontSize, initialDistance);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.RRLines RRLines(double accountBalance, double riskPercent, Brush lineColor, int lineWidth, DashStyleHelper lineStyle, string fontFamily, int fontSize, int initialDistance)
		{
			return indicator.RRLines(Input, accountBalance, riskPercent, lineColor, lineWidth, lineStyle, fontFamily, fontSize, initialDistance);
		}


		
		public Indicators.RRLines RRLines(ISeries<double> input , double accountBalance, double riskPercent, Brush lineColor, int lineWidth, DashStyleHelper lineStyle, string fontFamily, int fontSize, int initialDistance)
		{
			return indicator.RRLines(input, accountBalance, riskPercent, lineColor, lineWidth, lineStyle, fontFamily, fontSize, initialDistance);
		}

	}
}

#endregion
